Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bdb
Interface PrimaryKeyAssigner

public interface PrimaryKeyAssigner

An interface implemented to assign new primary key values. An implementation of this interface is passed to the `DataStore` constructor to assign primary keys for that store. Key assignment occurs when `StoredMap.append(java.lang.Object)` or `StoredList.append(java.lang.Object)` is called.

Method Summary
`void` | `assignKey(DataBuffer keyData)` Assigns a new primary key value into the given data buffer.

Method Detail

### assignKey

    public void assignKey(DataBuffer keyData)
                   throws DbException,
                          IOException

  Assigns a new primary key value into the given data buffer.

    `DbException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.